Summary: Tools needed to create Texinfo format documentation files.
Name: texinfo
Version: 4.0
Release: 1.3.0
License: GPL
Group: Applications/Publishing
Source0: ftp://ftp.gnu.org/gnu/texinfo/texinfo-%{version}.tar.gz
Source1: info-dir
Patch1: texinfo-3.12h-fix.patch
Patch3: texinfo-4.0-zlib.patch
Prereq: /sbin/install-info
Prefix: %{_prefix}
Buildroot: %{_tmppath}/%{name}-%{version}-root


# Redifine this to "dir" in the info directory isn't compressed

%define __spec_install_post /usr/lib/rpm/brp-strip \; /usr/lib/rpm/brp-strip-comment-note \; rm -f

%description
Texinfo is a documentation system that can produce both online
information and printed output from a single source file.  The GNU
Project uses the Texinfo file format for most of its documentation.

Install texinfo if you want a documentation system for producing both
online and print documentation from the same source file and/or if you
are going to write documentation for the GNU Project.

%package -n info
Summary: A stand-alone TTY-based reader for GNU texinfo documentation.
Group: System Environment/Base
# By making info prereq bash, other packages which have triggers based on
# info don't run those triggers until bash is in place as well. This is an
# ugly method of doing it (triggers which fire on set intersection would
# be better), but it's the best we can do for now. Talk to Erik before
# removing this.
Prereq: bash 

%description -n info
The GNU project uses the texinfo file format for much of its
documentation. The info package provides a standalone TTY-based
browser program for viewing texinfo files.

You should install info, because GNU's texinfo documentation is a
valuable source of information about the software on your system.

%prep
%setup -q
%patch1 -p1
%patch3 -p1 -b .zlib

%build

%configure --mandir=%{_mandir} --infodir=%{_infodir}
make 

rm util/install-info
make -C util LIBS=%{_prefix}/lib/libz.a

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/{etc,sbin}

%makeinstall

( cd ${RPM_BUILD_ROOT}
  gzip -n -9f .%{_infodir}/*info*
  gzip -n -9f .%{_mandir}/*/*
  install -m644 $RPM_SOURCE_DIR/info-dir ./etc/info-dir
  ln -sf /etc/info-dir ${RPM_BUILD_ROOT}%{_infodir}/dir
  for i in makeinfo texindex info install-info ; do
    strip .%{_prefix}/bin/$i
  done
  mv -f .%{_prefix}/bin/install-info ./sbin
  mkdir -p ./etc/X11/applnk/Utilities
cat > ./etc/X11/applnk/Utilities/info.desktop <<EOF
[Desktop Entry]
Name=Info Viewer
Name[sv]=Infovisare
Name[de]=Info-Viewer
Type=Application
Comment=GNU Info Page Reader
Comment[sv]=GNU Info-sidlsare
Comment[de]=GNU Info-Seiten-Viewer
Exec=info
Terminal=true
EOF
)

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_infodir}/texinfo.gz ]; then 
	/sbin/install-info %{_infodir}/texinfo.gz %{_infodir}/dir
fi

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/texinfo.gz %{_infodir}/dir
fi

%post -n info
if [ -f %{_infodir}/info-stnd.info.gz ]; then
	/sbin/install-info %{_infodir}/info-stnd.info.gz %{_infodir}/dir
fi

%preun -n info
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/info-stnd.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL INTRODUCTION NEWS README TODO
%doc info/README
%{_prefix}/bin/makeinfo
%{_prefix}/bin/texindex
%{_prefix}/bin/texi2dvi
%doc %{_infodir}/texinfo*
%{_prefix}/share/locale/*/*/*
%doc %{_mandir}/man1/makeinfo.1*
%doc %{_mandir}/man1/texindex.1*
%doc %{_mandir}/man1/texi2dvi.1*
%doc %{_mandir}/man5/texinfo.5*

%files -n info
%defattr(-,root,root)
# %config(missingok) /etc/X11/applnk/Utilities/info.desktop
%config(noreplace) %verify(not md5 size mtime) /etc/info-dir
%doc %config(noreplace) %{_infodir}/dir
%{_prefix}/bin/info
%doc %{_infodir}/info.info*
%doc %{_infodir}/info-stnd.info*
/sbin/install-info
%doc %{_mandir}/man1/info.1*
%doc %{_mandir}/man1/install-info.1*
%doc %{_mandir}/man5/info.5*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.[01]
  - Initial build for EnGarde v1.2 (Parry).
  - Removed pre-EnGarde changelog.
  - Fix %clean stanza.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.0, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Wed Nov 29 2000 Dave Wreski <dave@guardiandigital.com>
- recompile for ncurses 5.2

* Tue Nov 28 2000 Pete O'Hara <pete@guardiandigital.com>
- changed install-info to be conditional on existence
        of *.info.gz file
- marked info and man pages as %doc to be excluded
        with --excludedocs install

* Wed Oct 09 2000 Pete O'Hara <pete@guardiandigital.com>
- initial version from RH
